breed [cooperative]  ;; Here, the fierce and cooperative breeds are established
breed [fierce]
turtles-own [survival-chance cooperative?] ; level fo fierceness
patches-own [nrqueens surv_func coop_ratio suitable? distancepatch]  
globals [size-nests init-fight reproduction_per_colony cumcoop cumfierce cum-size-nests] 


to setup                        
  __clear-all-and-reset-ticks
  ask patches [set pcolor lime]                      ;;There is no harsh or benign environment
  ask patches [
    ifelse random-float 1 < psuitable [set suitable? true set pcolor green][set suitable? false set pcolor white]
  ]                                    
  set-default-shape cooperative "ant"
  let nrcoop int (initial-fraction-cooperative * populationsize) ; make sure this is an integer
  create-cooperative nrcoop  ;; create the cooperative ants, then initialize their variables
  [
    set color blue
    move-to one-of patches
    set cooperative? true
  ]
  set-default-shape fierce "ant"
  create-fierce (populationsize - nrcoop)  ;; create the fierce ants, then initialize their variables
  [
    set color red
    move-to one-of patches
    set cooperative? false
  ]
  if radiussameascluster [set radius-competition cluster-radius]
   
  set size-nests (n-values 20 [0])
  set cum-size-nests (n-values 20 [0])
  set cumcoop 0
  set cumfierce 0
  tick
  do-plotting
end

  
to go 
  if ticks > 200 [stop]
  reproduce 
  cluster
  individual-fight
  group-competition
  do-plotting
  clear-parameters
 tick 
end
 
to cluster
    ask turtles
    [
      let possiblepatches patches in-radius cluster-radius with [suitable? = true]
      ifelse count possiblepatches > 0 [
      move-to max-one-of possiblepatches [count turtles-here]
      ][die]
    ]
end
 
to individual-fight ;; now each individual sequentially fights with another 
 ask patches with [count turtles-here > 0]
 [
   ask turtles-here 
   [
     set init-fight 0
     if not cooperative? [ifelse random-float 1 <= probinitfierce [set init-fight 1][set init-fight 0]] ; this determines if fierce queen will initiate fights or not
     let initiator self
     if any? other turtles-here [
       ask other turtles-here [ 
         if initiator != nobody [
           if random-float 1 <= init-fight
           [
             ifelse cooperative? = [cooperative?] of initiator [ifelse random 2 = 1 [die][ask initiator [die]]] ;; This condition checks if two fierce agents are against eachother. if so, probability of death is 50/50t each other if a fierce is present. we need to change this as they should NEVER fight agaist each other.
             [
               ifelse cooperative? [
                 ifelse random-float 1 <= 0.6 [die][ask initiator [die]]   
               ][ifelse random-float 1 <= 0.4 [die][ask initiator [die]]]
            ]
          ]
        ]
      ]
    ]
  ] 
 ]
end

to group-competition
  ask patches with [count turtles-here > 0] 
  [
    let num_queens count turtles-here 
    set surv_func (-2.88 + 4.28 * num_queens - 0.377 * num_queens ^ 2) ;; From Bartz and Hoelldobler, 1982  
  ] 

  ask patches with [count turtles-here > 0] 
  [
    if count turtles-here > 0 [
    let surv_func_1 surv_func
    let patch_1 self
  
    let candidatepatches patches in-radius radius-competition with [count turtles-here > 0]
    ask candidatepatches [set distancepatch distance patch_1] ; define a set of potential nest to compete with and calculate the distance
     
    let bool 0    
    foreach sort-on [distancepatch] candidatepatches
    [
      ask ? [
       if distancepatch > 0 and bool = 0 [
       let total (surv_func + surv_func_1)
       ifelse random-float 100 <= ((surv_func / total) * 100)
       [ ask patch_1 [ask turtles-here [die] set bool 1]] ; we have to check whether the self colony dies in the competition. If so we stop checking the effect of competition on them
       [ ask self [ask turtles-here [die]]]]
      ]
    ]
    ]
  ]    
end      

to reproduce
  let occupied-patches count patches with [count turtles-here > 0]
  ask patches with [count turtles-here > 0]
    [set coop_ratio count turtles-here with [cooperative? = true] / count turtles-here]

  ask turtles [die]
  let mean-coop-ratio (sum [coop_ratio] of patches) / occupied-patches
  let nrcoop int (mean-coop-ratio * populationsize)
  create-cooperative nrcoop  
  [
    set color blue
    move-to one-of patches
    set cooperative? true
    if random-float 1 < 2 * pmutation [
      ifelse random 2 = 1 [set breed cooperative set color blue set cooperative? true][set breed fierce set color red set cooperative? false] 
    ]
  ]
       
  create-fierce (populationsize - nrcoop)  
  [
    set color red
    move-to one-of patches
    set cooperative? false
    if random-float 1 < 2 * pmutation [
      ifelse random 2 = 1 [set breed cooperative set color blue set cooperative? true][set breed fierce set color red set cooperative? false] 
    ]
 ]
end
 
to do-plotting
  set-current-plot "Foundresses over time"
  set-current-plot-pen "cooperative"
  if count cooperative + count fierce > 0 [plot count cooperative / (count cooperative + count fierce)]

  if ticks > 190 [
    set cumcoop cumcoop + 0.1 * count cooperative
    set cumfierce cumfierce + 0.1 * count fierce
    let i 0
    while [i < 20]
    [
      set cum-size-nests replace-item i cum-size-nests (item i cum-size-nests + (0.1 * item i size-nests))
      set i i + 1
    ]
  ]
  let p 0
  while [p < 20] 
     [
      set size-nests replace-item p size-nests (count patches with [count turtles-here = (p + 1)])
      set p (p + 1)
     ] 
end    
 
 
to  clear-parameters
 ask turtles 
   [
    set survival-chance 0
   ]
 ask patches 
   [
    set coop_ratio 0
   ]

end
@#$#@#$#@
GRAPHICS-WINDOW
190
45
600
476
-1
-1
4.0
1
10
1
1
1
0
1
1
1
0
99
0
99
0
0
1
ticks
30.0

SLIDER
5
125
174
158
initial-fraction-cooperative
initial-fraction-cooperative
0
1
0.05
0.01
1
NIL
HORIZONTAL

BUTTON
4
10
70
43
NIL
setup
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

BUTTON
74
11
137
44
NIL
go
T
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

PLOT
610
45
1005
280
Foundresses over time
NIL
NIL
0.0
10.0
0.0
1.0
true
true
"" ""
PENS
"cooperative" 1.0 0 -13345367 true "" ""

MONITOR
5
350
90
395
NIL
count cooperative
17
1
11

MONITOR
95
350
182
395
NIL
count fierce
17
1
11

SLIDER
5
84
177
117
cluster-radius
cluster-radius
0
50
10
1
1
NIL
HORIZONTAL

PLOT
610
285
1005
500
Histogram
# queens
Freq
0.0
6.0
0.0
11.0
true
false
"" ""
PENS
"default" 1.0 1 -16777216 true "" "plot-pen-reset \nif ticks > 0 [foreach size-nests plot]"

MONITOR
5
400
180
445
Proportion of cooperator
(count cooperative) / ((count cooperative) + (count fierce))
17
1
11

SLIDER
4
47
176
80
populationsize
populationsize
0
2000
400
1
1
NIL
HORIZONTAL

SLIDER
5
240
177
273
probinitfierce
probinitfierce
0
1
1
0.01
1
NIL
HORIZONTAL

BUTTON
144
10
207
43
NIL
go
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

SLIDER
5
280
177
313
pmutation
pmutation
0
0.1
0.01
0.01
1
NIL
HORIZONTAL

SLIDER
5
160
177
193
radius-competition
radius-competition
0
50
10
1
1
NIL
HORIZONTAL

SLIDER
5
315
177
348
psuitable
psuitable
0
1
1
0.01
1
NIL
HORIZONTAL

SWITCH
5
200
177
233
radiussameascluster
radiussameascluster
0
1
-1000

@#$#@#$#@
## WHAT IS IT?

This is a model that is developed to explore the foundress dilemma. The model, a haystack-style simulation of group selection, was constructed to capture the essential features of colony foundation for queens of the ant Pogonomyrmex californicus.  The life history features of this species during colony founding match in many details the haystack thought experiment of Maynard Smith: randomly distributed queens aggregate to found nests with some queens being cooperative in behavior and others aggressive.  The goal of this model is to generate testable predictions relevant to the hypothesis that this system fits the haystack scenario of group selection as an explanatory model for the observed queen cooperation in this natural population.  

The model is described in the following paper:

Shaffer, Z., T. Sasaki, B. Haney, M.A. Janssen, S. Pratt, J. Fewell, The foundress’ dilemma: group selection for cooperation among queens of the harvester ant, Pogonomyrmex californicus, submitted 

## COPYRIGHT

The model is developed by Zachery Shaffer, Takao Sasaki, Marco A. Janssen, Stephen Pratt and Jennifer Fewell, Arizona State University, January 2014.  
Copyright (C) 2014 Zachery Shaffer, Takao Sasaki, Marco A. Janssen, Stephen Pratt and Jennifer Fewell

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.  
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.  
You should have received a copy of the GNU General Public License along with this program. If not, see <http://www.gnu.org/licenses/>.
@#$#@#$#@
default
true
0
Polygon -7500403 true true 150 5 40 250 150 205 260 250

airplane
true
0
Polygon -7500403 true true 150 0 135 15 120 60 120 105 15 165 15 195 120 180 135 240 105 270 120 285 150 270 180 285 210 270 165 240 180 180 285 195 285 165 180 105 180 60 165 15

ant
true
0
Polygon -7500403 true true 136 61 129 46 144 30 119 45 124 60 114 82 97 37 132 10 93 36 111 84 127 105 172 105 189 84 208 35 171 11 202 35 204 37 186 82 177 60 180 44 159 32 170 44 165 60
Polygon -7500403 true true 150 95 135 103 139 117 125 149 137 180 135 196 150 204 166 195 161 180 174 150 158 116 164 102
Polygon -7500403 true true 149 186 128 197 114 232 134 270 149 282 166 270 185 232 171 195 149 186
Polygon -7500403 true true 225 66 230 107 159 122 161 127 234 111 236 106
Polygon -7500403 true true 78 58 99 116 139 123 137 128 95 119
Polygon -7500403 true true 48 103 90 147 129 147 130 151 86 151
Polygon -7500403 true true 65 224 92 171 134 160 135 164 95 175
Polygon -7500403 true true 235 222 210 170 163 162 161 166 208 174
Polygon -7500403 true true 249 107 211 147 168 147 168 150 213 150

arrow
true
0
Polygon -7500403 true true 150 0 0 150 105 150 105 293 195 293 195 150 300 150

box
false
0
Polygon -7500403 true true 150 285 285 225 285 75 150 135
Polygon -7500403 true true 150 135 15 75 150 15 285 75
Polygon -7500403 true true 15 75 15 225 150 285 150 135
Line -16777216 false 150 285 150 135
Line -16777216 false 150 135 15 75
Line -16777216 false 150 135 285 75

bug
true
0
Circle -7500403 true true 96 182 108
Circle -7500403 true true 110 127 80
Circle -7500403 true true 110 75 80
Line -7500403 true 150 100 80 30
Line -7500403 true 150 100 220 30

butterfly
true
0
Polygon -7500403 true true 150 165 209 199 225 225 225 255 195 270 165 255 150 240
Polygon -7500403 true true 150 165 89 198 75 225 75 255 105 270 135 255 150 240
Polygon -7500403 true true 139 148 100 105 55 90 25 90 10 105 10 135 25 180 40 195 85 194 139 163
Polygon -7500403 true true 162 150 200 105 245 90 275 90 290 105 290 135 275 180 260 195 215 195 162 165
Polygon -16777216 true false 150 255 135 225 120 150 135 120 150 105 165 120 180 150 165 225
Circle -16777216 true false 135 90 30
Line -16777216 false 150 105 195 60
Line -16777216 false 150 105 105 60

car
false
0
Polygon -7500403 true true 300 180 279 164 261 144 240 135 226 132 213 106 203 84 185 63 159 50 135 50 75 60 0 150 0 165 0 225 300 225 300 180
Circle -16777216 true false 180 180 90
Circle -16777216 true false 30 180 90
Polygon -16777216 true false 162 80 132 78 134 135 209 135 194 105 189 96 180 89
Circle -7500403 true true 47 195 58
Circle -7500403 true true 195 195 58

circle
false
0
Circle -7500403 true true 0 0 300

circle 2
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240

cow
false
0
Polygon -7500403 true true 200 193 197 249 179 249 177 196 166 187 140 189 93 191 78 179 72 211 49 209 48 181 37 149 25 120 25 89 45 72 103 84 179 75 198 76 252 64 272 81 293 103 285 121 255 121 242 118 224 167
Polygon -7500403 true true 73 210 86 251 62 249 48 208
Polygon -7500403 true true 25 114 16 195 9 204 23 213 25 200 39 123

cylinder
false
0
Circle -7500403 true true 0 0 300

dot
false
0
Circle -7500403 true true 90 90 120

face happy
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 255 90 239 62 213 47 191 67 179 90 203 109 218 150 225 192 218 210 203 227 181 251 194 236 217 212 240

face neutral
false
0
Circle -7500403 true true 8 7 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Rectangle -16777216 true false 60 195 240 225

face sad
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 168 90 184 62 210 47 232 67 244 90 220 109 205 150 198 192 205 210 220 227 242 251 229 236 206 212 183

fish
false
0
Polygon -1 true false 44 131 21 87 15 86 0 120 15 150 0 180 13 214 20 212 45 166
Polygon -1 true false 135 195 119 235 95 218 76 210 46 204 60 165
Polygon -1 true false 75 45 83 77 71 103 86 114 166 78 135 60
Polygon -7500403 true true 30 136 151 77 226 81 280 119 292 146 292 160 287 170 270 195 195 210 151 212 30 166
Circle -16777216 true false 215 106 30

flag
false
0
Rectangle -7500403 true true 60 15 75 300
Polygon -7500403 true true 90 150 270 90 90 30
Line -7500403 true 75 135 90 135
Line -7500403 true 75 45 90 45

flower
false
0
Polygon -10899396 true false 135 120 165 165 180 210 180 240 150 300 165 300 195 240 195 195 165 135
Circle -7500403 true true 85 132 38
Circle -7500403 true true 130 147 38
Circle -7500403 true true 192 85 38
Circle -7500403 true true 85 40 38
Circle -7500403 true true 177 40 38
Circle -7500403 true true 177 132 38
Circle -7500403 true true 70 85 38
Circle -7500403 true true 130 25 38
Circle -7500403 true true 96 51 108
Circle -16777216 true false 113 68 74
Polygon -10899396 true false 189 233 219 188 249 173 279 188 234 218
Polygon -10899396 true false 180 255 150 210 105 210 75 240 135 240

house
false
0
Rectangle -7500403 true true 45 120 255 285
Rectangle -16777216 true false 120 210 180 285
Polygon -7500403 true true 15 120 150 15 285 120
Line -16777216 false 30 120 270 120

leaf
false
0
Polygon -7500403 true true 150 210 135 195 120 210 60 210 30 195 60 180 60 165 15 135 30 120 15 105 40 104 45 90 60 90 90 105 105 120 120 120 105 60 120 60 135 30 150 15 165 30 180 60 195 60 180 120 195 120 210 105 240 90 255 90 263 104 285 105 270 120 285 135 240 165 240 180 270 195 240 210 180 210 165 195
Polygon -7500403 true true 135 195 135 240 120 255 105 255 105 285 135 285 165 240 165 195

line
true
0
Line -7500403 true 150 0 150 300

line half
true
0
Line -7500403 true 150 0 150 150

pentagon
false
0
Polygon -7500403 true true 150 15 15 120 60 285 240 285 285 120

person
false
0
Circle -7500403 true true 110 5 80
Polygon -7500403 true true 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Rectangle -7500403 true true 127 79 172 94
Polygon -7500403 true true 195 90 240 150 225 180 165 105
Polygon -7500403 true true 105 90 60 150 75 180 135 105

plant
false
0
Rectangle -7500403 true true 135 90 165 300
Polygon -7500403 true true 135 255 90 210 45 195 75 255 135 285
Polygon -7500403 true true 165 255 210 210 255 195 225 255 165 285
Polygon -7500403 true true 135 180 90 135 45 120 75 180 135 210
Polygon -7500403 true true 165 180 165 210 225 180 255 120 210 135
Polygon -7500403 true true 135 105 90 60 45 45 75 105 135 135
Polygon -7500403 true true 165 105 165 135 225 105 255 45 210 60
Polygon -7500403 true true 135 90 120 45 150 15 180 45 165 90

square
false
0
Rectangle -7500403 true true 30 30 270 270

square 2
false
0
Rectangle -7500403 true true 30 30 270 270
Rectangle -16777216 true false 60 60 240 240

star
false
0
Polygon -7500403 true true 151 1 185 108 298 108 207 175 242 282 151 216 59 282 94 175 3 108 116 108

target
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240
Circle -7500403 true true 60 60 180
Circle -16777216 true false 90 90 120
Circle -7500403 true true 120 120 60

tree
false
0
Circle -7500403 true true 118 3 94
Rectangle -6459832 true false 120 195 180 300
Circle -7500403 true true 65 21 108
Circle -7500403 true true 116 41 127
Circle -7500403 true true 45 90 120
Circle -7500403 true true 104 74 152

triangle
false
0
Polygon -7500403 true true 150 30 15 255 285 255

triangle 2
false
0
Polygon -7500403 true true 150 30 15 255 285 255
Polygon -16777216 true false 151 99 225 223 75 224

truck
false
0
Rectangle -7500403 true true 4 45 195 187
Polygon -7500403 true true 296 193 296 150 259 134 244 104 208 104 207 194
Rectangle -1 true false 195 60 195 105
Polygon -16777216 true false 238 112 252 141 219 141 218 112
Circle -16777216 true false 234 174 42
Rectangle -7500403 true true 181 185 214 194
Circle -16777216 true false 144 174 42
Circle -16777216 true false 24 174 42
Circle -7500403 false true 24 174 42
Circle -7500403 false true 144 174 42
Circle -7500403 false true 234 174 42

turtle
true
0
Polygon -10899396 true false 215 204 240 233 246 254 228 266 215 252 193 210
Polygon -10899396 true false 195 90 225 75 245 75 260 89 269 108 261 124 240 105 225 105 210 105
Polygon -10899396 true false 105 90 75 75 55 75 40 89 31 108 39 124 60 105 75 105 90 105
Polygon -10899396 true false 132 85 134 64 107 51 108 17 150 2 192 18 192 52 169 65 172 87
Polygon -10899396 true false 85 204 60 233 54 254 72 266 85 252 107 210
Polygon -7500403 true true 119 75 179 75 209 101 224 135 220 225 175 261 128 261 81 224 74 135 88 99

wheel
false
0
Circle -7500403 true true 3 3 294
Circle -16777216 true false 30 30 240
Line -7500403 true 150 285 150 15
Line -7500403 true 15 150 285 150
Circle -7500403 true true 120 120 60
Line -7500403 true 216 40 79 269
Line -7500403 true 40 84 269 221
Line -7500403 true 40 216 269 79
Line -7500403 true 84 40 221 269

x
false
0
Polygon -7500403 true true 270 75 225 30 30 225 75 270
Polygon -7500403 true true 30 75 75 30 270 225 225 270

@#$#@#$#@
NetLogo 5.0.4
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
<experiments>
  <experiment name="experiment" repetitions="100" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="200"/>
    <metric>count cooperative</metric>
    <metric>count fierce</metric>
    <metric>item 0 size-nests</metric>
    <metric>item 1 size-nests</metric>
    <metric>item 2 size-nests</metric>
    <metric>item 3 size-nests</metric>
    <metric>item 4 size-nests</metric>
    <metric>item 5 size-nests</metric>
    <metric>item 6 size-nests</metric>
    <metric>item 7 size-nests</metric>
    <metric>item 8 size-nests</metric>
    <metric>item 9 size-nests</metric>
    <metric>item 10 size-nests</metric>
    <metric>item 11 size-nests</metric>
    <metric>item 12 size-nests</metric>
    <metric>item 13 size-nests</metric>
    <metric>item 14 size-nests</metric>
    <metric>item 15 size-nests</metric>
    <metric>item 16 size-nests</metric>
    <metric>item 17 size-nests</metric>
    <metric>item 18 size-nests</metric>
    <metric>item 19 size-nests</metric>
    <enumeratedValueSet variable="populationsize">
      <value value="1000"/>
    </enumeratedValueSet>
    <steppedValueSet variable="cluster-radius" first="0.1" step="0.1" last="4"/>
    <enumeratedValueSet variable="probinitfierce">
      <value value="100"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="probinitcoop">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="initial-fraction-cooperative">
      <value value="0.1"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment2" repetitions="100" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="200"/>
    <metric>count cooperative</metric>
    <metric>count fierce</metric>
    <metric>item 0 size-nests</metric>
    <metric>item 1 size-nests</metric>
    <metric>item 2 size-nests</metric>
    <metric>item 3 size-nests</metric>
    <metric>item 4 size-nests</metric>
    <metric>item 5 size-nests</metric>
    <metric>item 6 size-nests</metric>
    <metric>item 7 size-nests</metric>
    <metric>item 8 size-nests</metric>
    <metric>item 9 size-nests</metric>
    <metric>item 10 size-nests</metric>
    <metric>item 11 size-nests</metric>
    <metric>item 12 size-nests</metric>
    <metric>item 13 size-nests</metric>
    <metric>item 14 size-nests</metric>
    <metric>item 15 size-nests</metric>
    <metric>item 16 size-nests</metric>
    <metric>item 17 size-nests</metric>
    <metric>item 18 size-nests</metric>
    <metric>item 19 size-nests</metric>
    <enumeratedValueSet variable="populationsize">
      <value value="1000"/>
    </enumeratedValueSet>
    <steppedValueSet variable="cluster-radius" first="1" step="1" last="10"/>
    <enumeratedValueSet variable="probinitfierce">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="initial-fraction-cooperative">
      <value value="0.05"/>
    </enumeratedValueSet>
    <steppedValueSet variable="radius-competition" first="1" step="1" last="10"/>
    <enumeratedValueSet variable="psuitable">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="singleradius">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pmutation">
      <value value="0.01"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="radiussameascluster">
      <value value="false"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment3" repetitions="100" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="200"/>
    <metric>count cooperative</metric>
    <metric>count fierce</metric>
    <metric>item 0 size-nests</metric>
    <metric>item 1 size-nests</metric>
    <metric>item 2 size-nests</metric>
    <metric>item 3 size-nests</metric>
    <metric>item 4 size-nests</metric>
    <metric>item 5 size-nests</metric>
    <metric>item 6 size-nests</metric>
    <metric>item 7 size-nests</metric>
    <metric>item 8 size-nests</metric>
    <metric>item 9 size-nests</metric>
    <metric>item 10 size-nests</metric>
    <metric>item 11 size-nests</metric>
    <metric>item 12 size-nests</metric>
    <metric>item 13 size-nests</metric>
    <metric>item 14 size-nests</metric>
    <metric>item 15 size-nests</metric>
    <metric>item 16 size-nests</metric>
    <metric>item 17 size-nests</metric>
    <metric>item 18 size-nests</metric>
    <metric>item 19 size-nests</metric>
    <enumeratedValueSet variable="populationsize">
      <value value="1000"/>
    </enumeratedValueSet>
    <steppedValueSet variable="cluster-radius" first="1" step="1" last="10"/>
    <steppedValueSet variable="probinitfierce" first="0.2" step="0.2" last="1"/>
    <enumeratedValueSet variable="initial-fraction-cooperative">
      <value value="0.05"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="radius-competition">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="psuitable">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="singleradius">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pmutation">
      <value value="0.01"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="radiussameascluster">
      <value value="true"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment5" repetitions="100" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="200"/>
    <metric>cumcoop</metric>
    <metric>cumfierce</metric>
    <metric>item 0 cum-size-nests</metric>
    <metric>item 1 cum-size-nests</metric>
    <metric>item 2 cum-size-nests</metric>
    <metric>item 3 cum-size-nests</metric>
    <metric>item 4 cum-size-nests</metric>
    <metric>item 5 cum-size-nests</metric>
    <metric>item 6 cum-size-nests</metric>
    <metric>item 7 cum-size-nests</metric>
    <metric>item 8 cum-size-nests</metric>
    <metric>item 9 cum-size-nests</metric>
    <metric>item 10 cum-size-nests</metric>
    <metric>item 11 cum-size-nests</metric>
    <metric>item 12 cum-size-nests</metric>
    <metric>item 13 cum-size-nests</metric>
    <metric>item 14 cum-size-nests</metric>
    <metric>item 15 cum-size-nests</metric>
    <metric>item 16 cum-size-nests</metric>
    <metric>item 17 cum-size-nests</metric>
    <metric>item 18 cum-size-nests</metric>
    <metric>item 19 cum-size-nests</metric>
    <enumeratedValueSet variable="populationsize">
      <value value="100"/>
      <value value="200"/>
      <value value="300"/>
      <value value="400"/>
    </enumeratedValueSet>
    <steppedValueSet variable="cluster-radius" first="1" step="1" last="10"/>
    <enumeratedValueSet variable="probinitfierce">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="initial-fraction-cooperative">
      <value value="0.05"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="radius-competition">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="psuitable">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pmutation">
      <value value="0.01"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="radiussameascluster">
      <value value="true"/>
    </enumeratedValueSet>
  </experiment>
</experiments>
@#$#@#$#@
@#$#@#$#@
default
0.0
-0.2 0 0.0 1.0
0.0 1 1.0 0.0
0.2 0 0.0 1.0
link direction
true
0
Line -7500403 true 150 150 90 180
Line -7500403 true 150 150 210 180

@#$#@#$#@
1
@#$#@#$#@
